# Amahi Home Server
# Copyright (C) 2007-2010 Amahi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License v3
# (29 June 2007), as published in the COPYING file.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# file COPYING for more details.
# 
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Amahi
# team at http://www.amahi.org/ under "Contact Us."

class AppController < ApplicationController

	before_filter :admin_required

	def install
		id = params[:id]
		@app = App.new id
		if @app
			if @app.installed or @app.install_status == 100
				render :update do |page|
					page.alert t('this_application_is_installed_already_please_refresh')
				end
			else
				@percent = 0
				@message = t('preparing_to_install')
				@app.install_start
				render :partial => 'install', :locals => { :identifier => id }
			end
		else
			message = t('this_application_is_installed')
			render :partial => 'install_progress', :locals  => { :percent => 100, :message => message, :id => id }
		end
	end

	def install_via_daemon
		identifier = params[:id]
		@app = App.find_by_identifier identifier
		unless @app
			App.install_via_daemon identifier
			@percent = 0
			@message = t('preparing_to_install')
			render :partial => 'install', :locals => { :identifier => identifier }
			return
		end
		# FIXME - eww. do this in a nicer way!
		render :text => t('this_application_is_installed_already_please_refresh')
	end

	def install_progress
		@id = params[:id]
		@app = App.find_by_identifier @id
		if @app
			@app.reload
			@percent = @app.install_status
			@message = @app.install_message
		else
			@percent = App.installation_status @id
			@message = App.installation_message @percent
		end
		render :partial => 'install_progress'
	end

	def uninstall
		id = params[:id]
		@app = App.find_by_identifier id
		if @app
			@app.uninstall_start
			@percent = "0"
			@message = t('preparing_to_uninstall')
			render :partial => 'uninstall'
		else
			render :update do |page|
				page.alert t('this_application_is_not_installed_please_refresh')
			end
		end
	end

	def uninstall_via_daemon
		id = params[:id]
		@app = App.find_by_identifier id
		if @app
			@app.uninstall_via_daemon
			@percent = @app.install_status
			@message = @app.install_message
			render :partial => 'uninstall'
			return
		end
		# FIXME - eww. do this in a nicer way!
		render :text => t('this_application_is_not_installed_please_refresh')
	end

	def uninstall_progress
		@id = params[:id]
		@app = App.find_by_identifier @id
		if @app
			@app.reload
			@percent = @app.install_status
			@message = @app.uninstall_message
		else
			@message = t('application_uninstalled')
			@percent = 0
		end
		render :partial => 'uninstall_progress'
	end

	def toggle_in_dashboard
		app = App.find params[:id]
		if app.installed
			app.show_in_dashboard = ! app.show_in_dashboard
			app.save
		end
		render :partial => 'in_dashboard', :locals => { :app => app }
	end

end
