# Amahi Home Server
# Copyright (C) 2007-2010 Amahi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License v3
# (29 June 2007), as published in the COPYING file.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# file COPYING for more details.
# 
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Amahi
# team at http://www.amahi.org/ under "Contact Us."

require "router-driver"

class Firewall < ActiveRecord::Base

	named_scope :port_forwards, :conditions => { :kind => 'port_forward' }
	named_scope :port_filters, :conditions => { :kind => 'port_filter' }
	named_scope :ip_filters, :conditions => { :kind => 'ip_filter' }
	named_scope :mac_filters, :conditions => { :kind => 'mac_filter' }
	named_scope :url_filters, :conditions => { :kind => 'url_filter' }
	named_scope :by_date, lambda { { :order => 'updated_at ASC' } }

	after_save	:update_rule

protected

	def update_rule
		begin
			rt = RouterDriver.current_router
			rt.write_rule self if rt
		# rescue
			# FIXME - sshh, quiet, for now 
		end
	end

end
