# Amahi Home Server
# Copyright (C) 2007-2010 Amahi
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License v3
# (29 June 2007), as published in the COPYING file.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# file COPYING for more details.
# 
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Amahi
# team at http://www.amahi.org/ under "Contact Us."

class Setting < ActiveRecord::Base
	named_scope :general, :conditions => { :kind => 'general' }
	named_scope :network, :conditions => { :kind => 'network' }
	named_scope :shares, :conditions => { :kind => 'shares' }

	def self.get(name)
		s = find_by_name(name)
		s && s.value
	end

	def self.f(name)
		find_by_name(name)
	end

	def self.set(name, value)
		s = Setting.general.find_by_name(name)
		s.update_attribute(:value, value)
	end

	def self.get_kind(kind, name)
		begin
			Setting.find_by_kind_and_name(kind, name)
		rescue
			nil
		end
	end

	def self.set_kind(kind, name, value)
			s = Setting.find_by_kind_and_name(kind, name)
			if s
				s.value = value
				s.save!
				s
			else
				Setting.create(:kind => kind, :name => name, :value => value)
			end
	end

	# find by kind and name
	def self.fkn(kind, name)
		Setting.find_by_kind_and_name(kind, name)
	end

end
