class AddThemeSetting < ActiveRecord::Migration
  def self.up
    create_table :themes do |t|
      t.column :name, :string, :null => false, :default => ""
      t.column :css, :string, :null => false, :default => ""
    end

    if Setting.find(:first, :conditions => "name='theme'").nil?
        # if no theme, create a default theme called main
        theme = Theme.new()
        theme.name = 'default'
        theme.css = 'main'
        theme.save

    	theme_var = Setting.new()
    	theme_var.name = 'theme'
    	theme_var.value = theme.id.to_s
    	theme_var.save
    end
  end

  def self.down
    drop_table :themes
    Setting.destroy_all "name='theme'"
  end
end
