class AddNonDeleteAndLoginRequiredToWebapps < ActiveRecord::Migration
  def self.up
	# can delete the webapp
	add_column :webapps, :deletable, :boolean, :default => true
	# are users required to login?
	add_column :webapps, :login_required, :boolean, :default => false
	Webapp.reset_column_information
        Webapp.transaction do
                Webapp.record_timestamps = false
		Webapp.all.each do |s|
			s.deletable = true
			s.login_required = false
		end
                Webapp.record_timestamps = true
	end
  end

  def self.down
	remove_column :webapps, :deletable
  end
end
