class DhcpRouterSettings < ActiveRecord::Migration
  def self.up
	# what model of the router - has the class name of the module
	Setting.create(:kind => 'network', :name => 'router_model', :value => '-')
	# router username and password used to login
	Setting.create(:kind => 'network', :name => 'router_username', :value => nil)
	Setting.create(:kind => 'network', :name => 'router_password', :value => nil)
	# 1 when the DHCP server is in the router
	Setting.create(:kind => 'network', :name => 'dhcp_in_router', :value => '0')
	# 4 hours, based on a minimum recomendation http://bugs.amahi.org/issues/show/201
	Setting.create(:kind => 'network', :name => 'dhcp_lease_time', :value => '14400')
  end

  def self.down
	['dhcp_in_router', 'router_username', 'router_password', 'router_model', 'dhcp_lease_time'].each do |s|
		t = Setting.get_kind('network', s)
		t && t.destroy
	end
  end
end
