
############################################################################
# this function must return a hash of values that control certain
# aspect of the themes, like the piechart colors or the headers
# in use by the theme (.js files to include as well as special
# headers).
############################################################################
def theme_init
  # Color definitions for the piecharts
  green = '#339933'
  purple = '#cc99cc'
  blue = '#336699'
  yellow = '#FFF804'
  red = '#ff0000'
  orange = '#cf5910'
  black = 'black'
  colors = [yellow, blue, green, red, purple, orange, black]

  # initialize what is being returned
  theme = {}

  #################################################################################
  # name of the theme, visible to the user
  theme[:name] = "Default"
  #################################################################################
  # author name
  # theme[:author_name] = "Carlos Puchol"
  #################################################################################
  # author url
  # theme[:author_url] = "http://www.amahi.org"
  #################################################################################
  # a theme can have headers, with JS files (must be in this theme's directory):
  # theme[:headers] = ["foo.js", "bar.js"]
  # as well as some headers, which are passed verbatim:
  # theme[:headers] = ['foo.js', '<meta name="..." comment="verbatim header item">', 'bar.js']
  #################################################################################
  # to not use inheritance from the 'main' theme, you can set disable_inheritance
  # theme[:disable_inheritance] = true
  #################################################################################
  # piecharts theme
  theme[:gruff_theme] = {
    # basic colors for other graphs
    :colors => colors,
    :marker_color => 'black',
    # basic colors for other graphs
    :font_color => 'black',
    # if :background_colors is a string, it will be interpreted
    # as a solid color, if an array, the two first colors define
    # a gradient (top first, bottom second), which is rendered as
    # the background
    # note: you can also specify an image for bg colors in
    # :background_image, *as long as* :background_colors is
    # not defined or nil
    :background_colors => ['#d1edf5', 'white']
  }

  # return the theme data structure
  theme
end

