require 'test_helper'

class AliasesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:aliases)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_alias
    assert_difference('Alias.count') do
      post :create, :alias => { }
    end

    assert_redirected_to alias_path(assigns(:alias))
  end

  def test_should_show_alias
    get :show, :id => aliases(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => aliases(:one).id
    assert_response :success
  end

  def test_should_update_alias
    put :update, :id => aliases(:one).id, :alias => { }
    assert_redirected_to alias_path(assigns(:alias))
  end

  def test_should_destroy_alias
    assert_difference('Alias.count', -1) do
      delete :destroy, :id => aliases(:one).id
    end

    assert_redirected_to aliases_path
  end
end
